export const getters = {
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeShopId(state) {
    return state.id;
  },
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeShopName(state) {
    return state.name;
  },
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeShopImage(state) {
    return state.image;
  },
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeShopRef(state) {
    return state.ref;
  },
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeShopCOnnected(state) {
    return !!state.ref;
  },
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeSellerAuthed(state) {
    return state.isAuthed;
  },
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeSellerLogistic(state) {
    return state.shopLogistic;
  },
  /**
   *
   * @param {StoreShopeeShop} state
   */
  getShopeeSellerWarehouse(state) {
    return state.shopWarehouse;
  },

};
